Package com.explodingpixels.macwidgets

## Interface SourceListToolTipProvider

    public interface SourceListToolTipProvider

An interface that allows implementors to supply the tool tip for a `SourceListCategory` or `SourceListItem`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getTooltip​(SourceListCategory category)` Gets the tool tip to use for the given `SourceListCategory`.
`java.lang.String` `getTooltip​(SourceListItem item)` Gets the tool tip to use for the given `SourceListItem`.

### Method Detail

#### getTooltip

    java.lang.String getTooltip​(SourceListCategory category)

Gets the tool tip to use for the given `SourceListCategory`.

Parameters:
  `category` - the `SourceListCategory` to get the tooltip for.
Returns:
  the tool tip, or null if no tool tip should be shown.

#### getTooltip

    java.lang.String getTooltip​(SourceListItem item)

Gets the tool tip to use for the given `SourceListItem`.

Parameters:
  `item` - the `SourceListItem` to get the tooltip for.
Returns:
  the tool tip, or null if no tool tip should be shown.